# 3DS

## Transactions <a href="#id-3ds-verify" id="id-3ds-verify"></a>

### 3DS Verify <a href="#id-3ds-verify" id="id-3ds-verify"></a>

**Paths/Formats**:

* `/verify` for form data
* `/verifyjson` for JSON data

The Verify path is used after a 3DS Step-Up Authentication. See [iFields](https://docs.solapayments.com/products/ifields) how to implement 3ds on the client side.

#### Request Body

| **Variable**                        | **Required** | **Description**                                    | **Sample Data**              |
| ----------------------------------- | ------------ | -------------------------------------------------- | ---------------------------- |
| **xKey**                            | Yes          | Your Cardknox API key                              | \[xkeycredentials]           |
| **xVersion**                        | Yes          | Gateway API Version. The current version is 5.0.0. | 5.0.0                        |
| **xSoftwareName**                   | Yes          | Name of your software                              | \[xsoftwarecredentials]      |
| **xSoftwareVersion**                | Yes          | Version number of your software                    | \[xversioncredentials]       |
| **x3dsActionCode**                  | Yes          | This is retrieved from the 3ds Verify Handler      | SUCCESS                      |
| **xCavv**                           | Yes          | This is retrieved from the 3ds Verify Handler      | AAIBBYNoEwAAACcKhAJkdQAAAAA= |
| **xEci**                            | Yes          | This is retrieved from the 3ds Verify Handler      | 05                           |
| **xRefNum**                         | Yes          | This is retrieved from the 3ds Verify Handler      | 10583643601                  |
| **x3dsAuthenticationStatus**        | Yes          | This is retrieved from the 3ds Verify Handler      | Y                            |
| **x3dsSignatureVerificationStatus** | Yes          | This is retrieved from the 3ds Verify Handler      | Y                            |

#### Response Example

```json
{
  "xResult": "A",
  "xStatus": "Approved",
  "xError": "",
  "xErrorCode": "00000",
  "xRefNum": "10583643601",
  "xRefNumCurrent": "10583264625",
  "xExp": "1234",
  "xAuthCode": "75294A",
  "xBatch": "5128394",
  "xAvsResultCode": "NNN",
  "xAvsResult": "Address: No Match & 5 Digit Zip: No Match",
  "xCvvResultCode": "M",
  "xCvvResult": "Match",
  "xAuthAmount": "7.00",
  "xMaskedCardNumber": "4xxxxxxxxxxx2503",
  "xCardType": "Visa",
  "xName": "John Doe",
  "xToken": "q712m7h271g035n799pn1605q16757m8",
  "xMID": "xxxxxxxxxx9999",
  "xTID": "xxxxx6789",
  "xCurrency": "USD",
  "xDate": "7/11/2025 9:59:11 AM",
  "xEntryMethod": "Keyed",
  "xEnrolled": "Y",
  "xCAVV": "AAIBBYNoEwAAACcKhAJkdQAAAAA=",
  "xEciFlag": "05",
  "x3DSID": "8ebb5b87-4d74-4b56-a0d0-075c6a37ab85",
  "xReviewed": "Y"
}
```
